summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-19 19:21:24 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-20 07:32:54 +0000
commit00b6a45c5d7534dcfab6df20370f12f071b16bf4 (patch)
tree24c33abb633f7b57c45f1c47fd976b25d5fb067a
parente8e3ff75407f0c554041fb2ce464f58bc9e809c3 (diff)
round-robin-bisect.sh: Update jira settings
... to use cloud jira. Change-Id: Ia736329d99c490c9ba27d95ad1eae7056cf14222
-rwxr-xr-xround-robin-bisect.sh19
1 files changed, 12 insertions, 7 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index 8a27a68c..e14895cd 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -646,7 +646,7 @@ Could not identify regression in *$current_project* in CI configuration ${rr[ci_
EOF
fi
-if [ x"${JIRA_PASSWORD+set}" = x"set" ] && [ x"$first_bad" != x"" ]; then
+if [ x"${TCWG_JIRA_TOKEN+set}" = x"set" ] && [ x"$first_bad" != x"" ]; then
case "${rr[ci_project]}/${rr[ci_config]}:$current_project" in
tcwg_kernel/gnu-*:linux) jira_card="GNU-681" ;;
tcwg_kernel/gnu-*:*) jira_card="GNU-680" ;;
@@ -672,12 +672,17 @@ $(cat $artifacts/jenkins/mail-body.txt)
Details: ${BUILD_URL}artifact/$rel_artifacts/jenkins/mail-body.txt/*view*/
Even more details: ${BUILD_URL}artifact/$rel_artifacts/
EOF
- (
- export JIRA_USERNAME=tcwg-jira
- export JIRA_PASSWORD
- export EDITOR=cat
- echo y | jipdate.py -f $artifacts/jenkins/jira-body.txt
- )
+ if ! [ -f $HOME/.jipdate.yml ]; then
+ cat > $HOME/.jipdate.yml <<EOF
+server:
+ url: https://linaro.atlassian.net
+ token: #TCWG_JIRA_TOKEN#
+text-editor: False
+username: team-toolchain+tcwg-jira@linaro.org
+EOF
+ fi
+ sed -i -e "s/#TCWG_JIRA_TOKEN#/$TCWG_JIRA_TOKEN/" $HOME/.jipdate.yml
+ echo y | jipdate.py -f $artifacts/jenkins/jira-body.txt
fi
fi